
#property copyright "Copyright  2005, TrendLaboratory Ltd."
#property link      "http://finance.groups.yahoo.com/group/TrendLaboratory"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100

#property indicator_level1 30
#property indicator_level2 70

#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_color2 Orange
//---- input parameters
extern int FastK=8;
extern int SlowK=3;
extern int SlowD=3;
//---- buffers
double StoBuffer[];
double SigBuffer[];
//double MdBuffer[];
int Current;

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   string short_name;
//---- indicator line
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   
   SetIndexBuffer(0,StoBuffer);
   SetIndexBuffer(1,SigBuffer);
   
   //---- name for DataWindow and indicator subwindow label

   SetIndexLabel(0,"Stoch");
   SetIndexLabel(1,"Signal");
//----
   SetIndexDrawBegin(0,FastK);
   SetIndexDrawBegin(1,FastK);
//----
   return(0);
   IndicatorShortName("Dinapoli Stoch -Sundays");
}

//
//
//
//
//

int deinit()
{
   return(0);
}

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//


int start()
{
int period=Period();

   int i,r,counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
           int limit=MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

     
      for(i=limit,r=Bars-i-1; i>=0; i--,r++)
      {
            if (r==0)
            {
               StoBuffer[i]     = 0;
               SigBuffer[i]     = 0;
  
               
               continue;
            }               
         
            StoBuffer[i]     = iStochastic(NULL,0,FastK,SlowK,SlowD,0,0,0,Current+i);
            SigBuffer[i]     = iStochastic(NULL,0,FastK,SlowK,SlowD,0,0,1,Current+i);
       
            if (period==1440 && TimeDayOfWeek(Time[i])==0)
            {
               StoBuffer[i]  = StoBuffer[i+1] ;
               SigBuffer[i]  = SigBuffer[i+1] ;
            }
      
                    
           //
            //
            //
            
        
      }            
      return(0);
}


